// $Id: test-connect-noport.C,v 1.2 2002/10/18 18:15:37 dvermeir Exp $
// Test behaviour of Socket when the host does not exist.

#include	<iostream>
#include	<string>
#include	<dvnet/socket.h>

using namespace std;
using namespace Dv;
using namespace Net;

const string ERROR("error: ");
const string NAME("test-connect-nohost: ");
const string CLIENT(NAME + "client: ");

int
main(int argc, char* argv[] ) {
string host("localhost");
unsigned int port(9999);
time_t delay(5000);

cerr << CLIENT << "connecting to " << host << ":" << port << endl
     << CLIENT << "delay = " << delay << " msec" << endl;

Socket	client(host, port, 1024, delay);

cerr << CLIENT << "strerror = " << client.strerror() << endl
     << CLIENT << "error    = " << client.error() << endl
     << CLIENT << "timedout = " << client.timedout() << endl
     ;

// ECONNREFUSED == 111
return (client.error() == 111 ? 0 : 1);
}
