// $Id: test-udelayserver.C,v 1.1 2002/10/18 18:15:37 dvermeir Exp $

// #include <unistd.h> // for fork(), sleep()
// #include <sys/types.h> // wait()
// #include <sys/wait.h> // wait()
// #include <fstream>
#include <string>

#include <dvnet/usocket.h>
#include <dvnet/userversocket.h>

using namespace std;
using namespace Dv;
using namespace Net;


int
main(int argc,char* argv[]) {
const string servername("/tmp/tudelay-server.sock");

try {
  userversocket	server(servername);
  cerr << "Starting server.." << endl;
  if (!server) {
    cerr << server.strerror() << endl;
    return 2;
    }

  Dv::Util::ref<usocket> client(server.accept(5000));

  cout << "Connection " << endl;

  if (!*client) {
    cout << "accept: " << client->strerror() << endl;
    return 0;
    }
  else
    cout << "accept succeeded -- should not happen" << endl;
  return 1;
  }
catch (exception& e) {
  cerr << e.what() << endl;
  return 2;
  }

return 3;
}
