// $Id: test-echos.C,v 1.2 2003/10/31 14:36:17 dvermeir Exp $

#include	<stdlib.h> // atoi

#include	<iostream>
#include	<dvnet/serversocket.h>

//	A trivial echo server

using namespace std;
using namespace Dv;
using namespace Net;

int main( int argc , char* argv[] ) {
static const char* usage = "techos port";

if (argc!=2) {
  cerr << usage << endl;
  return 1;
  }

try {
  ServerSocket	server(atoi(argv[1]));

  Dv::Util::ref<Socket>	client(server.accept());

  cout << "accept from " << client->host() 
       << ":" << client->port() << endl;
  string line;
  while (getline(*client,line)) {
    cout << "> " << line << endl;
    *client << line << endl;
    if (line.size()==0)
      break;
    }
  cout << "client: " << client->strerror() << endl;
  }
catch (exception& e) {
  cerr << e.what() << endl;
  return 2;
  }
return 0;
}
