// $Id: test-ia.C,v 1.2 2003/10/31 14:36:17 dvermeir Exp $

#include	<iostream>

#include	<dvnet/inetaddress.h>

using namespace std;
using namespace Dv;
using namespace Net;

int
main(int argc,char* argv[] ) {

if (argc<=1) {
  const string localhost(InetAddress::local_host());
  cerr << "localhost: " << localhost << endl;
  Dv::Util::ref<InetAddress> here = InetAddress::by_name(localhost);

  if (!here) {
    cerr << "Cannot find address of " << localhost << endl;
    return 1;
    }

  cout << "local host: "
       << here->host() << " "
       << here->dot_address() 
       << endl;

  Dv::Util::ref<InetAddress> there(InetAddress::by_address(here->address()));
  if (!there) {
    cerr << "Cannot find by address of " << here->address() << endl;
    return 1;
    }
  cout << "local host: "
       << there->host() << " "
       << there->dot_address() 
       << endl;
  return 0;
  }

for (int i=1;(i<argc);++i) {
  Dv::Util::ref<InetAddress> ia = InetAddress::by_name(argv[i]);
  if (ia)
    cout << ia->host() << " "
	<< ia->dot_address() << endl;
  else
    cout << "not found: " << argv[i] << endl;
  }
return 0;
}
